#pragma once

#include <vector>
#include "CustomWnd.h"
#include "HwmSdkAgent.h"

// demoGeneralWatchDlg 对话框

class demoGeneralWatchDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoGeneralWatchDlg)

public:
    demoGeneralWatchDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoGeneralWatchDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_DIALOG1 };
#endif

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

    DECLARE_MESSAGE_MAP()

public:
    virtual BOOL OnInitDialog();

    afx_msg void OnBnClickedButtonAddVideoWnd();
    afx_msg void OnBnClickedButtonGeneralWatch();

public:
    CEdit m_widthEdit;
    CEdit m_heigthEdit;
    CEdit m_userIdEdit;
    CEdit m_paddingLeftEdit;
    CEdit m_paddingTopEdit;
    CEdit m_paddingRightEdit;
    CEdit m_paddingBottomEdit;
    
    CComboBox m_wndType;
};
